<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

<div class="container">
  <h1 class="text-center">Search Results</h1>

  <div class="card mt-4">
    <div class="card-body">
      <h5 class="card-title">Component: <%= componentName %></h5>

      <% if (compatibleModels.length === 0) { %>
        <p class="card-text">No compatible models found.</p>
      <% } else { %>
        <p class="card-text">Compatible models:</p>
        <ul>
          <% compatibleModels.forEach(model => { %>
            <li><a href="/car/<%= model.name %>"><%= model.name %></a></li>
          <% }); %>
        </ul>
      <% } %>
    </div>
  </div>
</div>